unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, GLObjects, GLScene, GLCadencer, GLSMBASS, GLSound, GLSMFMOD,
  StdCtrls, GLMisc, GLWin32Viewer, Geometry;

  type
  TForm1 = class(TForm)
    GLSceneViewer1: TGLSceneViewer;
    GLScene1: TGLScene;
    GLCamera1: TGLCamera;
    GLSoundLibrary1: TGLSoundLibrary;
    Button1: TButton;
    Button2: TButton;
    GLSMFMOD1: TGLSMFMOD;
    GLSMBASS1: TGLSMBASS;
    GLCadencer1: TGLCadencer;
    GLLightSource1: TGLLightSource;
    Cube1: TCube;
    Sphere1: TSphere;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    procedure GLCadencer1Progress(Sender: TObject; const deltaTime,
      newTime: Double);
    procedure FormCreate(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
 GLSoundLibrary1.Samples.AddFile('Susl.wav');
 GLSoundLibrary1.Samples.AddFile('Wolf.mp3');
end;

procedure TForm1.GLCadencer1Progress(Sender: TObject; const deltaTime,
  newTime: Double);
begin
Sphere1.Position.SetPoint(sin(60*DegToRad(newTime))*2, 0.5, cos(60*DegToRad(newTime))*5);
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  if GLSMFMOD1 <> GLSound.ActiveSoundManager then
  begin
   ActiveSoundManager.Active := False;
   GLSMFMOD1.Active :=True;
  GLSound.GetOrCreateSoundEmitter(Cube1).Playing := True;
  end;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
  if GLSMBASS1 <> GLSound.ActiveSoundManager then
  begin
   ActiveSoundManager.Active := False;
  GLSMBASS1.Active :=True;
  GLSound.GetOrCreateSoundEmitter(Cube1).Playing := True;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 with GLSound.TGLBSoundEmitter.Create(Sphere1.Behaviours) do
  begin
  Source.SoundLibrary:=GLSoundLibrary1;
  Source.SoundName:='Wolf.mp3';
  Playing:= True;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   with GLSound.TGLBSoundEmitter.Create(Sphere1.Behaviours) do
  begin
  Source.SoundLibrary:=GLSoundLibrary1;
  Source.SoundName:='Susl.wav';
  Playing:= True;
  end;
end;

end.



